#!/usr/bin/env python

"""
Copyright (C) 2005 Paul Boddie <paul@boddie.org.uk>

This software is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this library; see the file COPYING
If not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
"""

from qt import SIGNAL
from kdecore import KInstance, KLibFactory

import hCalendar.UI
import sys

# Define a class which will be initialised when the plugin is loaded.

class FactoryClass(KLibFactory):

    instance = None

    def __init__(self, parent = None, name = None):

        KLibFactory.__init__(self, parent, name)

        if FactoryClass.instance is None:
            FactoryClass.instance = KInstance("hCalendarPlugin")

    def createObject(self, parent=None, name=None, class_name="QObject", args=None):

        if args is None:
            args = []

        plugin = hCalendar.UI.ItemsPlugin(parent, name)
        self.emit(SIGNAL("objectCreated(QObject)"), (plugin,))
        return plugin

# vim: tabstop=4 expandtab shiftwidth=4
